@import "utils/mixins.less";

.scroll-cases-until-here{
    opacity: 0;
    width: 0;
    height: 0;
    visibility: hidden;
}

.case-study-page {

    @margins : 12vw;
    @orange : #ff6300;

    div:not(.apos-ui.apos-modal) .apos-area.apos-empty{
        max-height: 0;
    }

    

    .header-section {

        box-sizing: border-box;
        padding: 20vw 12vw;
        // min-height: 60vh;
        // min-height: 500px;
        height: 100%;
        position: relative;
        width: 100%;

        .header-block {}

        .lower-header {
            display: flex;
            width: 100%;
            margin-top: 5vw;
            justify-content: space-between;
        }

        .header-title {
            display: block;
            margin: 0;
            padding: 0;
            font-size: 7.7vw;
            line-height: 1.4;
            font-family: "Roobert-SemiBold";

            p{
                // doesnt work with caselist page
                // default is 7.7vw
                // &.hero-title-large{
                //     font-size: 8.5vw;
                // }
                // &.hero-title-medium{
                //     font-size: 6.9vw;
                // }
                // &.hero-title-small{
                //     font-size: 6.1vw;
                // }
            }
        }

        .header-subtitle {
            display: block;
            font-size: 1.7vw;
            width: 60%;
            margin-right: 5vw;
            font-family: 'Roobert-Medium';
        }

        .headerImageContainer(){
            position: relative;
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: flex-end;
            align-items: center;
        }

        .header-image-container {
            width: 100%;
            height: 100%;
        }

      

        .header-image2 {

            position: absolute;
            width: @caseContainerHeight;
            object-fit: cover;

            .caseHeaderImageSizes();
        }

        .position-top-right{
            top: 0;
            right: 0;
        }
        .position-top-left{
            top: 0;
            left: 0;
        }
        .position-top-center{
            top: 0;
            left: calc(50vw - 50%);
        }


        .header-image-wrapper{
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            overflow: hidden;
            display: flex;
            justify-content: flex-end;

             // apos fixes
             .apos-area,
             .apos-area-widgets,
             .apos-area-widget-wrapper,
             .apos-area-widget{
                 height: 100%;
             }

             .apos-area-widget{
                 .headerImageContainer();
                 height: @caseContainerHeight;
                //  transform: translateY(-33%); // FIX coz this hides apos ui and cant change header image
             }

            //  &.default{
            //     max-height: 28vw;
            // }
            // &.fill{

            // }

            // &.corner{
            //     left: inherit;
            //     right: 0;
            //     width: .calc-vw(0.5)[@return];
            //     height: 36vh;
            // }
        }

        // OLD
        .header-image {
            
            width: .calc-vw(0.5)[@return];
            height: 100%;
            background-repeat: no-repeat;

            // position: absolute;
            // top: 0;
            // left: 0;
            // width: 100%;
            // height: 100%;
            // overflow: hidden;
            background-repeat: no-repeat;
            background-size: cover;
            background-position: top left;

           
        }

        .header-services {
            // width: 25%;
            width: 30%;
            display: flex;

            .services-title {
                margin-right: 2vw;
                color: @orange;

                &,
                p {
                    font-size: 1.4vw;
                   
                }
            }

            .services-list {

                &,
                p{
                    font-family: "Roobert-Medium";
                    font-size: 1.4vw;
                    line-height: 1.5;
                }
            }
        }
    }

    .case-video-container{
        position: relative;
        // padding-bottom: calc(var(--aspect-ratio, .5625) * 100%); 
    }

    .case-image-container,
    .case-video-container {

        width: 100%;
        height: auto;
        margin: 0 auto;


        &.full-width {
            width: .calc-vw(1)[@return];
            height: auto;
        }

        &.limited-height{
            img{
                height: 100%;
                object-fit: cover;
            }
        }

        &.object-position-top{
            img{
                object-position: 0% 0%;
            }
        }
        &.object-position-center{
            img{
                object-position: 0% 50%;
            }
        }
        &.object-position-bottom{
            img{
                object-position: 0% 100% 
            }
        }

        &.page-width {
            width: .calc-vw(0.8)[@return];
            margin-left: .calc-vw(0.1)[@return];
        }

        &.half-page-width {
            width: .calc-vw(0.5)[@return];
        }

        &.one-third-width{
            width: .calc-vw(0.33)[@return];
        }
        &.size-45p{
            width: .calc-vw(0.45)[@return];
        }
        &size-40p{
            width: .calc-vw(0.40)[@return];
        }

        img {
            width: 100%;
            height: 100%;
            display: block;
            margin: 0;
            padding: 0;
        }

        iframe{
            width: 100%;
            height: 100%;
            min-height: 100%;
            display: block;
            margin: 0;
            padding: 0;
            border: 0 none;
            position: absolute;
            top: 0;
            left: 0;
            // min-width: 100%;
            // padding-bottom: 50vh;
        }

        &.waiting:not(.playing){
            img{
                opacity: 1;
                visibility: visible;
            }
            video, iframe{
                opacity: 0;
                visibility: hidden;
            }
        }

        &.playing{
            img{
                opacity: 0;
                visibility: hidden;
            }
            iframe{
                opacity: 1;
                visibility: visible;
            }
        }
        
    }

    .case-carousel-section{

        height: 65vw;
        min-height: 500px;
        width: .calc-vw(1)[@return];

        .swiper-container,
        .swiper-wrapper,
        .swiper-slide{
            height: 100%;
        }
        
        .swiper-slide{
            display: flex;
            justify-content: center;
            align-items: center;
            img{
                min-height: 100%;
                max-height: 100%;
                object-fit: cover;
            }
        }

        .swiper-button-prev{
            left: 1vw;
        }
        .swiper-button-next{
            right: 3vw;
        }

        .swiper-button-prev,
        .swiper-button-next{
            background-image: inherit;
            width: 3vw;
            height: 3vw;
            svg{
                width: 100%;
                height: 100%;
            }
        }


        .carousel-wrapper{
            
            position: relative;
            display: flex;
            flex-flow: row nowrap;
            width: 100%;
            overflow-x: scroll;

            .carousel-image{
              
                &, img{
                    width: 100%;
                    height: auto;
                    min-height: 100%;
                    object-fit: cover;
                }
            }
        }
    }


    .case-text-section {

        width: .calc-vw(0.8)[@return];
        margin-left: auto;
        margin-right: auto;
        padding: 0;

        .text-title {
            margin-bottom: 2vw;
            color: @orange;

            &,
            p {
                font-size: 1.4vw;
                font-family: 'Roobert-SemiBold';
               
            }
        }

        .text-about {
            font-size: 3vw;
            color: #000;
            p{
                line-height: 1.3;;
            }
        }
    }


    .case-two-columns-section {

        width: .calc-vw(0.8)[@return];
        // margin: 0 auto;
        // padding: @margins 0;
        margin-left: auto;
        margin-right: auto;
        padding: 0;
        display: flex;
        justify-content: space-between;

        .column-left,
        .column-right {
            width: calc(50% - 2.5vw);
        }

        .column-left {
            margin-right: 2.5vw;
        }

        .text-title {
            margin-bottom: 2vw;
            color: @orange;

            &,
            p {
                font-size: 1.4vw;
                font-family: 'Roobert-SemiBold';
               
            }
        }

        .text-about {
            font-size: 2vw;
            color: #000;
            p{
                line-height: 1.3;;
            }
        }

        img {
            width: 100%;
            height: 100%;
            display: block;
            margin: 0;
            padding: 0;
            object-fit: cover;
        }
    }


    .case-quote-section {

        padding-top: 15vw;
        padding-bottom: 15vw;
        background-color: #000;

        .quote-block {
            display: none;
            margin: 0 auto;
            color: #fff;

            &,
            p,
            .apos-rich-text,
            .apos-area-widget,
            .apos-area-widget-wrapper,
            .apos-area-widgets,
            .quote
            {
                width: .calc-vw(0.6)[@return];
            }


            &.active {
                display: block;
            }
        }

        .quote {
            color: #fff;
            &,
            p {
                font-family: 'Roobert-Medium';
                font-size: 2.2vw;
                text-align: center;
                line-height: 1.5;
            }
        }

        .author {
            margin-top: 3vw;
            color: @orange;

            &,
            p {
               
                font-size: 1.5vw;
                text-align: center;
                line-height: 1.5;
            }
        }
    }

    
    .other-work{

        padding-top: 10vw;
        padding-bottom: 10vw;
        background: #fff;
        color: #000;

        .ow-title{
            width: .calc-vw(0.8)[@return];
            padding-left: .calc-vw(0.1)[@return];
            font-size: 3vw;
            margin-bottom: 6vw;
        }

        @workItemSize: 30vw;
        
       

        .ow-list{

            .work-item{
                width: @workItemSize;
                min-width: @workItemSize;
                height: @workItemSize;
                margin: 0 1vw;
                display: block;
                cursor: pointer;
                position: relative;

                img{
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                    z-index: 2;
                }

                &.as-spacer{
                    width: calc(@workItemSize / 3);
                    min-width: calc(@workItemSize / 3);
                }

                .link-with-underline{
                    position: absolute;
                    top: 0;
                    left: 0;
                    font-size: 3vw;
                    width: 100%;
                    height: 100%;
                    background: #000;
                    opacity: 0;
                    visibility: hidden;
                    transition: opacity 0.5s, visibility 0.5s 0.5s;
                    z-index: 3;
                    line-height: 1.2;

                    .center{
                        position: relative;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        width: 100%;
                        height: 100%;
                        &>div{
                            position: relative;
                        }
                    }

                    .link-text{
                        white-space: wrap;
                    }
                    .underline{
                        top: 1.35em;
                    }
                }

                &:hover, &.hover{
                    .link-with-underline{
                        opacity: 1;
                        visibility: visible;
                        transition: opacity 0.5s, visibility 0s;

                        -webkit-box-shadow: inset 0px 0px 10px 0px rgba(0,0,0,0.25);
                        -moz-box-shadow: inset 0px 0px 10px 0px rgba(0,0,0,0.25);
                        box-shadow: inset 0px 0px 10px 0px rgba(0,0,0,0.25);
                    }
                }
            }
        }

        .horizontal-scroll{
            position: relative;
            width: 100vw;
            overflow-y: hidden;
            overflow-x: auto;
            padding-bottom: 20px;

            .inside{
                display: flex;
                flex-direction: row;
                flex-wrap: nowrap;
                width: 100%;
                overflow-x: visible;
                scrollbar-width: none;
                height: @workItemSize;
                white-space: nowrap;

            }
        }
    }
}


@media screen and (max-width: 800px) {

    body:not(.caselist-page).case-study-page {

        @pageMargin: 10vw;
        @smallFontSize : 3.5vw;
        @normalFontSize : 4vw;
        @bigFontSize : 5vw;

        .header-section {

            @headerImageHeight : 25vh;
            padding: 10vw 10vw 20vw;
            min-height: inherit;

            .header-block{
                // margin-top: calc(@headerImageHeight - 14vh);
                margin-top: @headerImageHeight;
            }

            .header-image-wrapper{
                margin-top: @nav-mobile-height;
            }

            .header-image{
                // background-position: center;
                height: @headerImageHeight;
                background-position: top right;

                &.default{
                    max-height: @headerImageHeight;
                }
            }

            .lower-header {
                flex-direction: column;
                justify-content: flex-start;
            }

            .header-title {
                font-size: 15vw;

                p{
                    // default is 7.7vw
                    &.hero-title-large{
                        font-size: 16vw;
                    }
                    &.hero-title-medium{
                        font-size: 14vw;
                    }
                    &.hero-title-small{
                        font-size: 13vw;
                    }
                }
            }

            .header-subtitle {
                font-size: @bigFontSize;
                width: 100%;
                p{
                    line-height: 1.4;
                }
            }

            .header-services {
                width: 100%;
                margin-top: 10vw;
                flex-direction: column;

                .services-title {
                    margin-bottom: 5vw;

                    &,
                    p {
                        font-size: @normalFontSize;
                    }
                }

                .services-list {

                    &,
                    p {
                        font-size: @smallFontSize;
                    }
                }
            }
        }

       

        .case-image-container,
        .case-video-container{

            margin: 0 auto;

            &.page-width{
                width: calc(100vw - @pageMargin * 2);
                margin-left: @pageMargin;
               
            }
            &.full-width{
                width: 100vw;
            }

            &.half-page-width{
                width: 50vw;
            }

            &.one-third-width{
                width: 33vw;
            }
            &.size-45p{
                width: 45vw;
            }
            &size-40p{
                width: 40vw;
            }
           
        }

        .case-carousel-section{

            // height: 65vw;
            min-height: 300px;
            width: 100vw;

            .swiper-button-prev,
            .swiper-button-next{
                width: 6vw;
                height: 6vw;
                svg{
                    width: 100%;
                    height: 100%;
                }
            }

            .swiper-button-prev{
                left: 1.3vw;
            }
            .swiper-button-next{
                right: 4vw;
            }
        }
    
       
    
        .case-text-section {

            width: calc(100vw - @pageMargin * 2);
        
            .text-title {    
                &,
                p {
                    font-size: @smallFontSize;
                }
            }
    
            .text-about {
                line-height: 1.4;
                font-size: @normalFontSize;
                p{
                    line-height: 1.3;;
                }
            }
        }
    
    
        .case-two-columns-section {
    
            width: calc(100vw - @pageMargin * 2);
            flex-direction: column;

            .column-left,
            .column-right{
                width: 100%;
            }

            .column-left{
                margin-bottom: 5vw;
            }
        
            .text-title {
                margin-bottom: 1em;
                &,
                p {
                    font-size: @smallFontSize;
                }
            }
    
            .text-about {
                font-size: @normalFontSize;
            }
        }
    
    
        .case-quote-section {
            
            .quote-block {
                  

                &,
                p,
                .apos-rich-text,
                .apos-area-widget,
                .apos-area-widget-wrapper,
                .apos-area-widgets,
                .quote{
                    width: calc(100vw - @pageMargin * 2);
                }
    
            }
    
            .quote {
    
                &,
                p {
                    font-size: @normalFontSize;
                }
            }
    
            .author {
    
                &,
                p {
                    font-size: @smallFontSize;
                }
            }
        }


        .other-work .ow-list{
            .ow-title{
                font-size: 6vw;
            }
            .work-item{
                &.as-spacer{
                    width: 0;
                    min-width: 0;
                }
            }
        }


    }

}